@font-face {
    font-family: 'Anek Malayalam';
    src: url(../fonts/Anek_Malayalam/AnekMalayalam-VariableFont_wdth,wght.ttf) format("truetype");
}

@font-face {
    font-family: 'Yaldevi';
    src: url(../fonts/Yaldevi/Yaldevi-VariableFont_wght.ttf) format("truetype");
}

@keyframes transitionInProcessBox {
    0% {
        transform: scale(0, 0) translateX(-50%);
    }
    100% {
        transform: scale(1.2, 1.2) translateX(-50%);
    }
}

@keyframes transitionInOutAlertBox {
    0% {
        transform: scale(0, 0) translateX(-50%);
    }
    5%{
        transform: scale(1.2, 1.2) translateX(-50%);
    }
    10%{
        transform: scale(1, 1) translateX(-50%);
    }
    90%{
        transform: scale(1, 1) translateX(-50%);
    }
    95% {
        transform: scale(1.2, 1.2) translateX(-50%);
    }
    100% {
        transform: scale(0, 0) translateX(-50%);
    }
}

@keyframes transitionOutAlertBox {
    0%{
        transform: scale(1, 1) translateX(-50%);
    }
    50% {
        transform: scale(1.2, 1.2) translateX(-50%);
    }
    100% {
    transform: scale(0, 0) translateX(-50%);
    }
}

@keyframes dotsAnimation {
  0%   { content: ""; }
  33%  { content: "."; }
  66%  { content: ".."; }
  100% { content: "..."; }
}

@keyframes spinnerAnimation {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}

:root {
    /* index */
    /* --primary: #ffffff;
    --background: #222c21;
    --primary-button: #a52a2a;
    --secondary-button: #081109;
    --accent: #ffffff; */

    /* p5-dark */
    /* Primary: #ffffff;
    Secondary: #0d0d0d;
    Primary-Button: #a52a2a;
    Secondary-Button: #ffffff;
    Accent: #ffffff; */
    /* p5 light */
    /* Primary: #080707;
    Secondary: #eeedec;
    Primary-Button: #a52a2a;
    Secondary-Button: #ffffff;
    Accent: #000000; */

    /* p6-dark */
    /* Primary: #ffffff;
    Secondary: #0c130d;
    Primary-Button: #ffffff;
    Secondary-Button: #edecf4;
    Accent: #ffffff; */
    /* p6-light */
    /* Primary: #0b0a10;
    Secondary: #ffffff;
    Primary-Button: #0c130d;
    Secondary-Button: #edecf4;
    Accent: #111812; */

    /* palettes1 */
    /* Shades: #0A0F0B #080C09 #070907 #050605 #020302;
    Monochromatic: #0A0F0B #81A287 #708975 #1F2E22 #414843; */

    /* COLOURS */
    /* Dark Mode */
    --primary: #ffffff;
    --background: #020302;
    --primary-button: #a52a2a;
    --secondary-button: #081109;
    --accent: #ffffff;

    --primary-text-color: #fff;
    --secondary-text-color: #ddd;
    --primary-bgd-color: #020302;
    --primary-accent-color: hsl(0, 59%, 41%); /* brown */
    --primary-accent-color-lighter: hsl(0, 71%, 55%);
    --primary-accent-color-darker: hsl(0, 59%, 27%);

    /* Light Mode */
    --lm-primary-text-color: hsl(0, 0%, 0%);
    --lm-primary-bgd-color: hsl(0, 0%, 96%);

    /* FONT */
    --primary-font-fam: Yaldevi, sans-serif;
    --primary-font-size: 16px;
    --primary-font-weight: 200;
}

*, *::before, *::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    letter-spacing: 0.05em;
}

html {
    scroll-behavior: smooth;
}

body {
    /* background-color: #0c0c0c; */
    /* background-color: #020302; */
    background-color: hsl(0, 30%, 4%) !important; /* DON'T REMOVE. This is visible when the page hasn't loaded the background image. It matches the dark colours of the image*/
    background: url(../img/background.webp) no-repeat fixed top;
    background-size: cover;
    min-height: 100vh;
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    color: var(--primary-text-color);
    font-family: var(--primary-font-fam);
    font-weight: var(--primary-font-weight);
    overflow-x: hidden;
    /*zoom: 1.5;*/
}

ul {list-style: none;}

/* General button styling for the disabled state */
button:disabled {
    cursor: not-allowed;        /* Change cursor to indicate it's not clickable */
}

.main-wrapper {padding-inline: 3%;}

.alert-box,
.process-box {
    background-color: hsla(3, 66%, 23%, 0.9);
    width: fit-content;
    min-width: 30vw;
    max-width: 350px;
    min-height: 4em;
    color: #fff;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 5%;
    left: 50.5%;
    z-index: 10000;
    padding: 1.5em 1em;
    border: 0.5px solid brown;
    border-radius: 3px;
    transform: scale(0,0) translateX(-50%);
}

.alert-box {
    animation: 5s transitionInOutAlertBox;
}

.process-box {
    animation: transitionInProcessBox 0.5s ease forwards;
}

.alert-box a,
.process-box a{
    color: #ddd;
}

.alert-box button {
    width: 1.5em;
    height: 1.5em;
    font-size: .8rem;
    position: absolute;
    top: 4px;
    right: 4px;
    border: none;
    border-radius: 50%;
}

.alert-box button:hover {
    color: brown;
    cursor: pointer;
}

.error-list a{
    color: #fff;
}

.spinner-icon {
    display: inline-block;
	width: 36px;
	height: 36px;
	border: 4px solid #ccc;
	border-top-color: brown;
	border-radius: 50%;
	animation: spinnerAnimation 1s linear infinite;
	margin: auto;
}

.btn-v1{
    background-image: url('../img/bg.png');
    background-size: cover;
    width: fit-content;
    color: #eee;
    text-decoration: none;
    text-transform: capitalize;
    border: none;
    border-radius: 3px;
    box-shadow: 0px 0px 6px #111;
    cursor: pointer;
}

.btn-v1 span, .btn-v1 a { /* change this such that the <a> tag is given the btn-v1 class and a span is added into it to remove the repetition is currently happening */
	background-color: rgba(0, 0, 0, 0.5);
    display: inline-block;
	border: 1px solid rgb(87, 92, 87);
    border-radius: 3px;
    padding: .3em .5em;
    transition: background-color .2s ease-in, border .2s ease-in;
}

.btn-v1:hover span, .btn-v1:hover a  {
    /*background-color: rgba(165, 42, 42, 0.5);
    border: 1px solid rgba(165, 42, 42, 0.5);*/
    background-color: #0e0606;
    color: #fff;
    border-color: #0e0606;
}

.default-header {
    /* background-color: rgba(18, 24, 18, 0.4); */
    /* background-image: url('../img/wave-haikei-3.svg');
    background-size: cover;
    background-position: center; */
}

.default-header nav {
    background-color: rgba(0, 0, 0, .4);
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid rgb(255, 255, 255, .2);
    border-radius: 0 0 10px 10px;
    padding: 1em 3%;
}

.def-logo-link{
    width: 17ch;
    display: inline-block;
}

.default-header nav .logo-link {
    width: 18%;
    min-width: 150px;
    max-width: 250px;
}

.default-header nav .logo-link img{
    width: 100%;
}

.default-header nav > div {
    display: flex;
    align-items: center;
    gap: .5em;
}

.default-header nav > div .acc-circle {
    width: 2.1em;
    height: fit-content;
    filter: invert(1);
    cursor: pointer;
}

.default-header nav .menu-list {
    background-color: rgba(0, 0, 0, .8);
    position: absolute;
    top: 105%;
    right: 0.5em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1em;
    height: 0;
    overflow: hidden;
    list-style: none;
    font-size: 18px;
    padding: 0 1em;
    border-radius: 0 0 5px 5px;
    transition: all .5s ease-in-out;
}

.default-header nav .menu-list.active {
    height: 8em;
    max-height: fit-content;
    padding: 0.8em 1.5em;
    z-index: 5;
}

.default-header nav .menu-list a {
    color: #fff;
    text-decoration: none;
    padding: 0.5em 1em 0 1em;
}

.mid-nav-list li a{
    text-decoration: none;
    color: #ddd;
    display: inline-block;
    padding: 5px 15px;
}

.default-header nav .menu-list a:hover {
    color: brown;
}

.ul-inactive {
    /* background-color: #1f1f1f; */
    background-color: rgba(0, 0, 0, .8);
    position: absolute;
    top: 105%;
    right: 0.5em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0.8em;
    width: fit-content;
    height: 0;
    overflow: hidden;
    list-style: none;
    font-size: 18px;
    border-radius: 0 0 5px 5px;
    transition: all .5s ease-in-out;
}

.ul-inactive li{
    width: fit-content;
    display: inline-flex;
    align-items: center;
    white-space: nowrap;
}

/* #register-link{
    background: url('../img/bg.png');
    background-size: cover;
    border: 1px solid rgb(87, 92, 87);
    border-radius: 3px;
    box-shadow: 0px 0px 6px #111;
    transition: background .2s ease-in, border .2s ease-in;
} */

#register-link:hover{
    background: rgb(0, 14, 0);
    border: 1px solid rgb(0, 14, 0);
}

.ul-inactive li a{
    max-width: 15ch;
    overflow-x: hidden;
    color: #fff;
    display: inline-block;
    text-align: center;
    white-space: nowrap;
    font-size: .9em;
    text-decoration: none;
}

.ul-inactive li a:hover{
    color: brown;
}

.ul-inactive input{
    background: transparent;
    display: inline-block;
    color: #fff;
    text-align: center;
    font-family: inherit;
    font-size: .9em;
    padding: 0.5em 1em 0 1em;
    border: none;
}

.ul-inactive input:hover{
    color: #eee;
    cursor: pointer;
}

.default-header nav .ul-inactive input {
    color: #fff;
    padding: 0.5em 1em 0 1em;
}

.ul-active {
    z-index: 100;
    height: 8em;
    max-height: fit-content;
    padding: 0.8em 1.5em;
}

.burger-icon {
    background: transparent;
    width: 32px;
    min-width: 32px;
    height: 32px;
    min-height: 32px;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid rgba(255, 255, 255, .7);
    border-radius: 3px;
    cursor: pointer;
}

.burger-icon:hover{
    /*width: 33px;
    height: 33px;*/
    transform: scale(1.05);
    border: 1px solid brown;
}

.burger-icon span{
    background-color: rgb(255, 255, 255, .9);
    width: 70%;
    height: 2px;
    margin: 8%;
    transition: transform 0.5s;
}

/* burger animation*/
.toggle .top-bun{
    transform: rotate(-45deg) translate(-5px, 4px);
}

.toggle .patty{
    opacity: 0;
}

.toggle .bottom-bun{
    transform: rotate(45deg) translate(-5px, -4px);
}

/*.toggle:hover .top-bun{
    transform: rotate(-45deg) translate(-5px, 5px);
}

.toggle:hover .bottom-bun{
    transform: rotate(45deg) translate(-5px, -5px);
}*/

.acc-header-nav{
    background-color: #090909;
    width: 100%;
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 100;
    padding: .5em .3em;
}

.acc-logo-link{
    width: 2.5em;
    display: block;
    margin: .3em 0;
}

.acc-header-nav li a{
    color: #fff;
    text-decoration: none;
    display: flex;
}

.acc-header-nav li a:hover{
    color: brown;
    cursor: pointer;
}

/* <a> ANCHOR */

.notifs{position: relative;}



.acc-footer small a{
    color: brown;
}

.footer-socials > a{
    width: fit-content;
    display: block;
    margin: auto;
    padding: 1em;
}

.footer-socials > div a{
    width: 3em;
    display: inline-block;
    margin: .2em;
}

.default-footer small a{
    color: brown;
}

/* <div> DIVISION */


.alert-box.transitionOutAlertBox{
    animation: 1s transitionOutAlertBox;
}

.acc-header > div{
    position: relative;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    gap: .5em;
    padding: .7em .5em;
}

.acc-header > div > div:nth-child(2){
    display: flex;
    flex-flow: column;
    gap: .2em;
    margin-right: auto;
}

.acc-header > div > div:nth-child(3){
    display: flex;
    gap: .5em;
}

.main-404 {
    min-height: 80vh;
    min-height: 80dvh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-socials > div{
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
    padding-bottom: 1em;
}

/* <footer> FOOTER */
.default-footer{
    background-color: rgb(18, 24, 18);
}

.acc-footer{
    background-color: rgb(18, 24, 18);
    /* margin-bottom: 60px; */
    /* position: relative; */
    /* z-index: 101; */
}

.main-footer{
    background-color: rgba(0, 0, 0, .8);
    width: 100%;
    color: #eee;
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    font-size: 80%;
    padding: 1% 3% 0 3%;
    margin-top: 30px;
    border-top: 1px solid rgb(255, 255, 255, .2);
    border-radius: 10px 10px 0 0;
}

.main-footer > ul{
    list-style: none;
    display: flex;
}

.main-footer > ul img{
    width: 48px;
}

.main-footer > span{
    padding: 0 0 1.5em 0;
}

/* <h1> HEADING 1 */
.page-title{
    color: #eee;
    font-size: 1.5rem;
}

/* <header> HEADER */
.acc-header{
    background-color: #090909;
}

/* <img> IMAGE */
.alert-box p img,
.process-box p img {
    width: 1em;
}

.acc-logo-link img{
    width: 100%;
    display: block;
}

.acc-header-nav li a img{
    width: 2.5em;
    display: inline-block;
    filter: invert(1);
}

.acc-header-nav a:hover img{
    filter: invert(18%) sepia(93%) saturate(1533%) hue-rotate(336deg) brightness(102%) contrast(96%);
}

.notifs img{
    width: 1.5em;
    display: inline-block;
    margin: .4em .8em 0 0;
    filter: invert(100%) sepia(100%) saturate(1%) hue-rotate(177deg) brightness(101%) contrast(101%);
}

.notifs:hover img{
    filter: invert(18%) sepia(93%) saturate(1533%) hue-rotate(336deg) brightness(102%) contrast(96%);
}

.footer-socials > a img{
    display: inline-block;
}

.footer-socials > div a img{
    width: 100%;
    display: inline-block;
}

/* <li> LIST ITEM */
.acc-header-nav li{
    color: rgb(165, 42, 42);
    margin: .2em 0;
}

/* <nav> NAVIGATION */


/* <p> PARAGRAPH */
.alert-box p,
.process-box p{
    flex-grow: 1;
    /* text-align: center;
    white-space: nowrap; */
    line-height: 1.3em;
}

.header-p{
    color: #eee;
    font-size: .7rem;
    padding: .2em;
}

/* <small> SMALL TEXT */
.acc-footer small{
    background: #000;
    width: 100%;
    color: #eee;
    font-size: .7em;
    text-align: center;
    display: inline-block;
    padding: 1.5em 0;
}

.default-footer small{
    background: #000;
    width: 100%;
    color: #eee;
    font-size: .7em;
    text-align: center;
    display: inline-block;
    padding: 1.5em 0;
}

/* <span> SPAN */
.green-circle-icon{
    background-color: green;
    width: 12px;
    height: 12px;
    display: inline-block;
    border-radius: 50%;
}

.red-circle-icon{
    background-color: red;
    width: 12px;
    height: 12px;
    display: inline-block;
    border-radius: 50%;
}

.orange-circle-icon{
    background-color: orange;
    width: 12px;
    height: 12px;
    display: inline-block;
    border-radius: 50%;
}

/* .arrow-icon{
    display: inline-block;
    color: #fff;
    font-size: .8rem;
    border: 3px solid #fff;
    border-radius: 5px;
}

.arrow-icon img{
    width: 2.4em;
    filter: invert(1);
}

.arrow-icon:hover{
    border: 3px solid brown;
    cursor: pointer;
}

.arrow-icon:hover img{
    filter: invert(18%) sepia(93%) saturate(1533%) hue-rotate(336deg) brightness(102%) contrast(96%);
} */

.hidden-text{
    width: 0;
    display: inline-block;
    overflow: hidden;
    border: 1px solid #eee;
    border-radius: 3px;
    transition: all .5s ease-in-out;
}

.hidden-text.active{
    width: 12ch;
    padding: .4em 1em;
}

.hidden-text:hover{
    border: 1px solid brown;
}

.notifs span{
    background: brown;
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    font-size: .6rem;
    color: #fff;
    padding: .2em .5em;
    border-radius: 50%;
}

.notifs:hover span{
    background: #fff;
    color: brown;
}

.required-star {
    color: brown !important;
    font-size: larger;
    font-weight: bolder;
}

.animated-dots::after {
  content: "";
  animation: dotsAnimation 1.2s steps(3, end) infinite;
}

/* <ul> UNORDERED LIST */
ul{
    list-style-position: inside;
}

.error-list{
    background-color: rgba(255, 0, 0, 0.3);
    color: #ddd;
    font-size: .9rem;
    line-height: 2em;
    padding: .5em;
    border: 1px solid brown;
    border-radius: 5px;
}

.acc-header-nav ul{
    list-style: none;
    display: flex;
    justify-content: space-evenly;
}

/***********************\
* Media Queries
\***********************/

@media (min-width: 600px) {
    .default-header nav > div .acc-circle {
        display: none;
    }

    .default-header nav .ul-inactive {
        background-color: transparent;
        position: static;
        flex-direction: row;
        height: fit-content;
        overflow: visible;
    }

    .default-header nav .ul-inactive li:nth-child(1) {margin-top: 0;}
}

@media (min-width: 900px) {
    .default-header nav {
        justify-content: flex-start;
    }

    .default-header nav > div {
        flex: 1;
        justify-content: space-between;
    }

    .default-header nav .menu-list {
        background-color: transparent;
        position: static;
        flex-direction: row;
        height: fit-content;
        overflow: visible;
        margin: auto;
    }

    .default-header nav .menu-list li:nth-child(1) {margin-top: 0;}

    .default-header nav .burger-icon {
        display: none;
    }
}

@media (min-width: 1024px) {}

@media screen and (max-width: 1200px){}


@media screen and (max-width: 800px){}

@media screen and (max-width: 550px){
    .main-footer {
        flex-direction: column;
    }
}